import * as React from 'react';
import { PageHeaderProps } from '@patternfly/react-core';
import { IAppNavExpandableProps } from './AppNavExpandable';
import { IAppNavGroupProps } from './AppNavGroup';
import { IAppNavItemProps } from './AppNavItem';
export interface IAppLayoutContext {
    setBreadcrumb: (breadcrumb: React.ReactNode) => void;
}
export declare const AppLayoutContext: React.Context<IAppLayoutContext>;
export interface IAppLayoutProps extends Pick<PageHeaderProps, 'logo'>, Pick<PageHeaderProps, 'logoProps'>, Pick<PageHeaderProps, 'headerTools'> {
    navVariant?: 'vertical' | 'horizontal';
    navItems?: Array<IAppNavItemProps | IAppNavExpandableProps | IAppNavGroupProps | undefined>;
    navGroupsStyle?: 'grouped' | 'expandable';
    startWithOpenNav?: boolean;
    theme?: 'dark' | 'light';
    mainContainerId?: string;
}
export declare const AppLayout: React.FunctionComponent<IAppLayoutProps>;
